package hwloc;

/**
 * 2012
 * @author Emilio Francesquini <francesquini@gmail.com> 
 * 
 */
public interface MachineHierarchicalNode {
	
	public MachineHierarchicalNode getParent();
	public MachineHierarchicalNode[] getChildren();
	
	public boolean isCore();
	public boolean isPU();
	public boolean isCache();
	
	public void printOn(StringBuffer sb, int tabs);

}
