package hwloc;

import hwloc.utils.DomParser;

import java.io.IOException;

import org.xml.sax.InputSource;

/**
 * 2012
 * @author Emilio Francesquini <francesquini@gmail.com> 
 * 
 */
public class MachineFactory {

	protected static Machine createMachine(InputSource input) {
		 DomParser parser = new DomParser();
	     return parser.load(input);
	}
	
	public static Machine localMachine() throws IOException {
		 Process p = Runtime.getRuntime().exec("lstopo --of xml");	   
		 InputSource input = new InputSource(p.getInputStream());
		 return createMachine(input);	     
	}
	
}
